# Class AccessibilityIssue

java.lang.Object
com.codename1.ui.accessibility.AccessibilityIssue

public final class AccessibilityIssue extends Object
A deterministic accessibility audit finding.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `AccessibilityIssue.Severity`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibilityIssue(AccessibilityIssue.Severity severity, String code, String message, long nodeId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getMessage()`
  `long`
  `getNodeId()`
  `AccessibilityIssue.Severity`
  `getSeverity()`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessibilityIssue

    public AccessibilityIssue(AccessibilityIssue.Severity severity, String code, String message, long nodeId)

- ## Method Details

  - ### getSeverity

    public AccessibilityIssue.Severity getSeverity()

  - ### getCode

    public String getCode()

  - ### getMessage

    public String getMessage()

  - ### getNodeId

    public long getNodeId()

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`